Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QPNGImagePacker Class Reference

The QPNGImagePacker class creates well-compressed PNG animations. More...

`#include <qpngio.h>`

List of all member functions.

## Public Members

- QPNGImagePacker ( QIODevice * iod, int storage_depth, int conversionflags )
- void setPixelAlignment ( int x )
- bool packImage ( const QImage & img )

## Detailed Description

The QPNGImagePacker class creates well-compressed PNG animations.

By using transparency, QPNGImagePacker allows you to build a PNG image from a sequence of QImages.

Images are added using packImage().

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### QPNGImagePacker::QPNGImagePacker ( QIODevice * iod, int storage_depth, int conversionflags )

Creates an image packer that writes PNG data to IO device iod using a storage_depth bit encoding (use 8 or 32, depending on the desired quality and compression requirements).

If the image needs to be modified to fit in a lower-resolution result (e.g. converting from 32-bit to 8-bit), use the conversionflags to specify how you'd prefer this to happen.

See also Qt::ImageConversionFlags.

### bool QPNGImagePacker::packImage ( const QImage & img )

Adds the image img to the PNG animation, analyzing the differences between this and the previous image to improve compression.

### void QPNGImagePacker::setPixelAlignment ( int x )

Aligns pixel differences to x pixels. For example, using 8 can improve playback on certain hardware. Normally the default of 1-pixel alignment (i.e. no alignment) gives better compression and performance.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.